Bug 133038 - Some format toolbar icons are wrong for Catalan language
Summary: Some format toolbar icons are wrong for Catalan language
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Rizal Muttaqin
URL:
Whiteboard: target:7.1.0 target:7.0.0.1 target:6....
Keywords:
Depends on:
Blocks: Icon-Theme-Breeze Icon-Theme-Colibre Icon-Theme-KarasaJaga Icon-Theme-Elementary Icon-Request Icon-Theme-Sifr Icon-Theme-Sukapura
  Show dependency treegraph
 
Reported: 2020-05-14 16:14 UTC by jmontane
Modified: 2021-02-22 23:16 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Colibri format toolbar icons for Catalan language (18.74 KB, image/png)
2020-05-14 16:14 UTC, jmontane
Details
Catalan MS Office screenshot (77.55 KB, image/png)
2020-06-03 05:47 UTC, jmontane
Details

Note You need to log in before you can comment on or make changes to this bug.
Description jmontane 2020-05-14 16:14:44 UTC
Created attachment 160829 [details]
Colibri format toolbar icons for Catalan language

Toolbar icons for are customized by locale, but they are wrong for Catalan in some themes, because N, C, S icons are shown (Spanish like) for Bold, Italic, and Underline format, but hotkeys for Catalan are standard/English ones: Ctrl+B, Ctrl+I, Ctrl+U.

Themes with this bug are: breeze, colibri, elementary, sifr, sukapura, and related ones.
Comment 1 jmontane 2020-05-14 16:40:34 UTC
I submitted a patch to gerrit fixing this issue:

https://gerrit.libreoffice.org/c/core/+/94250
Comment 2 Adolfo Jayme 2020-05-15 07:22:35 UTC
But the icons aren’t meant to reflect the keyboard shortcuts…
Comment 3 jmontane 2020-05-15 07:31:54 UTC
Yes, you are right, but it's crazy showing a letter on icon and use other one for hotkey.

There are to kind of themes:
1.- Themes which use a common letter for all icons (an "A")
2.- Themes which use diffrent letters (B for bold, I for italic, U for underline...)

Whe are talking about 2nd type of themes. In this case:

Icons and hotkey letters match for English and Spanish: good
Icons and hotkey doesn't match for Catalan: bad

So I fix it removing these icons.
Comment 4 Adolfo Jayme 2020-05-15 09:15:25 UTC
Yeah, I see your point — having a generic, unlocalized letter (as in the old Tango theme) is something I advocated for but convinced no one whatsoever :-P

Rizal has taken the effort of creating localized icons for many languages. I wouldn’t like his work to be wasted. Maybe we can use generic “A” icons just for Catalan. What do you think? To me that would be preferable to just replicating the Anglocentric “B-I-U”, and to hell with Anglocentrism! ;-)
Comment 5 jmontane 2020-05-15 09:19:50 UTC
Using generic "A" icons for Catalan would be really great. Good approach.
Comment 6 sophie 2020-05-18 11:02:58 UTC
I support this too for all languages, it would be better to have generic letters
Comment 7 ifanlo 2020-05-19 06:33:28 UTC
In my opinion it is not a "bug" but a "feature" 😃 It does not seem relevant to me. You could write an entire book about the inconsistencies of keyboard shortcuts (and in this case, impacting on icons) in different programs and languages. Dr. Fanlo's recommendation for this case is to activate the Tango icons that do not suffer from this problem. But it is like chronic diseases, they are not cured, but you can adapt to them.
Comment 8 jmontane 2020-06-01 15:57:39 UTC
I'm sorry, but current situation for Catalan is wrong, it isn't a feature.

Catalan has been with English shortcuts ever. And it will stand. But Spanish-like toolbar icons mismatch with such shortcuts. I don't know when these customized icons were added, by they were a wrong step for Catalan l10n.
Comment 9 Rizal Muttaqin 2020-06-03 04:29:50 UTC
Hai Joan Montané

Thank you for this report.

It is better to know that currently synchronization has been made on the icon theme. This decision is inseparable from the goal of consistency. Therefore the icon for direct formatting is also affected. Related to this, there are a number of old versions of icon themes that have a general style of using the large "A" or small "a" letter with different display modes to display formatting. This applies to the Tango and Sifr icon themes, which both actually have the same family root from the GNOME desktop environment. Meanwhile other icon themes use B, I, U formatting icons as usual. The localization which is one of the synchronization agenda if we traced appears from the Galaxy icon theme. Yes, the default OpenOffice icon theme and can be said used to be very supported. For localization of this Catalan (as well as other language), all icon themes currently follow the pattern exemplified by the Galaxy icon theme. I am very sure there is a strong reason behind the decision why this "official" icon theme took this step. I suspect this was an attempt to compensate with mainstream office applications. Therefore please if anyone can help me to produce screenshots of the MS Office application by localizing Catalan.

As a side note, now all icons have been synchronized and also simplified so that we are agreeing to reduce as many as possible duplicate icons with the same display with different names. As a result, some localization currently depends on Catalan localization. If one delete the Catalan version, the other locales will also be affected. So it's not as easy as removing it, we need to change also many items in the links.txt file which handles this task.
Comment 10 jmontane 2020-06-03 05:47:02 UTC
Created attachment 161557 [details]
Catalan MS Office screenshot

Hi,

I've attached a MS Office with Catalan UI.


In fact, LibO doesn't mimic MS Office fully. MS Office uses an italic K for italic toolbar icon on Spanish/Catalan, **matching assigned italic shortcut Ctrl+K** but LibO uses an italic C!?

But my point is that you can't mimic "mainstream office applications" blindly. Catalan shortcuts for direct formatting (Bold, Italic, Underline) differ from MS Office and LibreOffice. Maybe other languages (Basque?) uses different (MS Office vs. LibO) shortcuts too:

- Catalan MS Office uses Cltr+N, Ctrl+K, and Ctrl+S shortcuts (for bold, italic, and underline, respectively)

- Catalan LibreOffice (since OOo days!) uses Cltr+B, Ctrl+I, and Ctrl+U shortcuts (for bold, italic, and underline, respectively) 

So, for Catalan (maybe other languages too):
MS Office assigned shortcuts and letters of toolbar icons **match**. It's good l10n. But,LibO assigned shortcuts and letters of toolbar icons **mismatch**. It's bad l10n.
Comment 11 jmontane 2020-06-03 08:18:49 UTC
Another point of view:

Note K toolbar icon matches Ctrl+K, not C for 'cursiva'. So, MS Office l10n/UI approach is **matching toolbar icons with assigned shortcuts**: N for Ctrl+N negreta/bold, K for Ctrl+K cursiva/italic, and S for Ctrl+S subratllat/underline.


LibreOffice (for Spanish) doesn't follow MS Office. LibO doesn't match icons with assigned shortcuts for direct formatting. It matches icons with first letter of formatting (N for negrita/bold Ctrl+N, C for cursiva/italic Ctrl+K, S for subrayado/underline Ctrl+S). Its suboptimal, because, according MS Office approach, a K icon should be used.

LibreOffice (for Catalan) d0esnt follow MS Office. LibO doesn't match icons with assigned shortcuts for direct formatting. It matches icons with first letter of formatting (N for negreta Ctrl+B, C for cursiva Ctrl+I, S for subratllat Ctrl+U) instead. It's a crazzy l10n/UI.

So, as member of Catalan l10n team, I request LibreOffice follows MS Office l10n/UI approach for Catalan: matching icons with assigned shortcuts (B for Ctrl+B negreta/bold, I for Ctrl+I cursiva/italic, and U for Ctrl+U subratllat/underline)

Additionally, change italic C toolbar icon to an in italic K icon for Spanish, but this change should be discussed with Spanish l10n team.
Comment 12 Rizal Muttaqin 2020-06-05 07:10:37 UTC
(In reply to jmontane from comment #11)
> Another point of view:
> 
> Note K toolbar icon matches Ctrl+K, not C for 'cursiva'. So, MS Office
> l10n/UI approach is **matching toolbar icons with assigned shortcuts**: N
> for Ctrl+N negreta/bold, K for Ctrl+K cursiva/italic, and S for Ctrl+S
> subratllat/underline.
> 
> 
> LibreOffice (for Spanish) doesn't follow MS Office. LibO doesn't match icons
> with assigned shortcuts for direct formatting. It matches icons with first
> letter of formatting (N for negrita/bold Ctrl+N, C for cursiva/italic
> Ctrl+K, S for subrayado/underline Ctrl+S). Its suboptimal, because,
> according MS Office approach, a K icon should be used.

There was a request about this and I have sent the patch, see https://bugs.documentfoundation.org/show_bug.cgi?id=131509. So now Spanish use N,K, S.

> LibreOffice (for Catalan) d0esnt follow MS Office. LibO doesn't match icons
> with assigned shortcuts for direct formatting. It matches icons with first
> letter of formatting (N for negreta Ctrl+B, C for cursiva Ctrl+I, S for
> subratllat Ctrl+U) instead. It's a crazzy l10n/UI.
> 
> So, as member of Catalan l10n team, I request LibreOffice follows MS Office
> l10n/UI approach for Catalan: matching icons with assigned shortcuts (B for
> Ctrl+B negreta/bold, I for Ctrl+I cursiva/italic, and U for Ctrl+U
> subratllat/underline)
> 

I tend to choose the opposite, which I prefer to change the Catalan shortcuts according to MS Office so that it finally got the same with the Spanish version.

> Additionally, change italic C toolbar icon to an in italic K icon for
> Spanish, but this change should be discussed with Spanish l10n team.

See previous reply

=============================
So in the end we will have the same icons and shortcuts as the MS Office version both Catalan and Spanish version: N, K, S with respectively with Ctrl+N, Ctrl+K and Ctrl+S.

@adolfo what's your take here?
Comment 13 jmontane 2020-06-05 07:46:03 UTC
(In reply to Rizal Muttaqin from comment #12)

> > So, as member of Catalan l10n team, I request LibreOffice follows MS Office
> > l10n/UI approach for Catalan: matching icons with assigned shortcuts (B for
> > Ctrl+B negreta/bold, I for Ctrl+I cursiva/italic, and U for Ctrl+U
> > subratllat/underline)
> > 
> 
> I tend to choose the opposite, which I prefer to change the Catalan
> shortcuts according to MS Office so that it finally got the same with the
> Spanish version.
>

Please, don't do that. LibreOffice for Catalan has been using English shortcuts since old OOo days. Don't change them! Just pair toolbar icons with current shortcuts.
Comment 14 sophie 2020-06-05 08:16:03 UTC
I don't see why one language should have the shortcut of another language. If one l10n team is reporting a bug in his language, then let's fix it and not workaround it ala MS.
Comment 15 jmontane 2020-06-05 10:14:35 UTC
Another point against change Catalan shortcuts

Current situation for Catalan LibO:
Ctrl+B bold
Ctrl+I italic
Ctrl+U underline
Ctrl+S save document
Ctrl+K insert hiperlink
Ctrl+N new document
Ctrl+G Go to page

So, changing Catalan direct formatting shortcuts to Spanish ones would be an actual problem because it would create a cascade of changes, forcing you to change many other shortcuts, not only shortcuts about direct formatting.

Ctrl+N bold (then a new "new document" shortcut should be reassigned)
Ctrl+K italic  (then a new "insert hiperlink" shortcut should be reassigned)
Ctrl+S underline (then a new "save document" shortcut should be reassigned!!!)
Ctrl+G save document (then a new "go to" shortcut should be reassigned!)
Ctrl+Alt+K insert hiperlink
Ctrl+U new document
Ctrl+Maj+F5 Go to page

So, changing Catalan shortcuts is a no way.

For +10 years taking care of Catalan LibO I've get comments about different MSO/LibO shortcuts (why like questions). It's true. But people understand choice made years ago and they work without difficulties and appreciate using standard/English ones. What I get about mismatching N,C,S toolbar icons where complaints (something like: Joan, that's wrong, fix it)
Comment 16 Commit Notification 2020-06-09 22:36:54 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/22cb73dcc682edb15a2425339377ff54dde5dba6

Icon theme: tdf#133582 tdf#133038

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 17 Rizal Muttaqin 2020-06-15 22:04:42 UTC
The patch just for Breeze, Joan Montané might be continue the rest.
Comment 18 Commit Notification 2020-07-15 08:28:47 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/4686219d9fcd0dfb3de1937079458cbc439f13a6

Breeze: tdf#126122, tdf#133038, tdf#133582

It will be available in 6.4.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 19 Commit Notification 2021-02-21 04:09:22 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e61db880c26fe65ff02e914465ba58e947baf47c

elementary: tdf#133038 change some formatting icons for Catalan

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 20 Commit Notification 2021-02-21 04:09:35 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/a1f5d08fbaed7d1f7acf14227a9d28d12bba8ef2

elementary: tdf#133038 change some formatting icons for Catalan

It will be available in 7.1.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 21 Commit Notification 2021-02-21 22:28:33 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/44e809d887f5c694ebf9ba9a184ee748771abfdc

Colibre: tdf#133038 change some formatting icons for Catalan

It will be available in 7.1.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 22 Commit Notification 2021-02-22 06:06:28 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/c40ce0c542b46d45a00561a926953df2fe9a9762

Colibre: tdf#133038 change some formatting icons for Catalan

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 23 Commit Notification 2021-02-22 17:35:39 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ea0f4ea38407c461340b0401b49ed280d3d5dd5e

Sifr: tdf#133038 change some formatting icons for Catalan

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 24 Commit Notification 2021-02-22 18:09:04 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/bed8fb89abd980d08c5612f5f100bfad4ef0bca8

Sukapura: tdf#133038 change some formatting icons for Catalan

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 25 Commit Notification 2021-02-22 22:15:09 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/576c6054d8d445cc977fc3789c572cfc2a3ccd83

Karasa Jaga: tdf#133038 change some formatting icons for Catalan

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 26 Commit Notification 2021-02-22 22:16:21 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/07e30b5913d4e77f775803a322c7de9a4e41f0ad

Sifr: tdf#133038 change some formatting icons for Catalan

It will be available in 7.1.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 27 Commit Notification 2021-02-22 22:17:31 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/ba6b682790667482538da6ea0aa26e4c9dd9d040

Karasa Jaga: tdf#133038 change some formatting icons for Catalan

It will be available in 7.1.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 28 Commit Notification 2021-02-22 22:17:41 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/eb0eb724ca59e1172b039a621f044ee1fc7bb3bc

Sukapura: tdf#133038 change some formatting icons for Catalan

It will be available in 7.1.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.